<?php
/* WebWall */
	define("ONLINE", 1);
	$root = dirname( dirname( dirname(__FILE__) ) );
	require_once "$root/core.php";
	checkuserloggedoff();
	define("PROFILE_USER", text_filter(ucfirst(strtolower($_GET["user_profile"])), 1), true);
	$choosedgift = $_POST["selectedgif"];
	$gifttype = $_POST["gifttype"];
	$giftuser = $_POST["user"];
	define("POINTS", $engine_session->getuserdata(''.USER_USERNAME.'', "POINTS"), true);

	if($_SERVER['REQUEST_METHOD'] == "POST")
	{ 
		$engine_session->sendgift($choosedgift, $gifttype, ''.USER_USERNAME.'', $giftuser); 
	}

	$template_session->setparameter("serializegifts", $engine_session->serializegifts(), true);

	$template_session->loadhead($template_session->getlangval(91));
	$template_session->loadlogo(); 
	$template_session->loadmenu();
	$template_session->loadtpl("acc_gift");
	$template_session->loadtpl("footer");
	$template_session->loadend();
?>